Skip to main content
GET
aid_stores_sid_orders_get

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
store_id
string
required

The resource identifier string

Query Parameters

starting_after
string<uuid>

cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

limit
integer
default:10

A limit on the number of objects to be returned. Limit can range between 1 and 100 items, and the default is 10 items.

Required range: 1 <= x <= 100
status
enum<string>[]

filter by order status

Available options:
open,
closed,
cancelled
payment_status
enum<string>[]

filter by payment status

Available options:
pending,
partially_paid,
paid,
partially_refunded,
refunded
created_at.gte
string<date>

filter by created_at, greater than or equal (after)

created_at.lte
string<date>

filter by created_at, less than or equal (before)

include_events
enum<string>[]

include order events in response

Available options:
false,
true,
service-event

Response

order collection

orders
object[]
required
Last modified on July 7, 2026